> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Profile Normal Hour

> A `POST` to the `/profiles/{profileId}/normal-hours` endpoint allows your application to create a normal hour for a profile.



## OpenAPI

````yaml post /v3/profiles/{profile}/normal-hours
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/normal-hours:
    post:
      tags:
        - Profile Normal Hour
      summary: Add Profile Normal Hour
      description: >-
        A `POST` to the `/profiles/{profileId}/normal-hours` endpoint allows
        your application to create a normal hour for a profile.
      operationId: profiles.normal-hours.store
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreProfileNormalHour'
      responses:
        '201':
          description: '`ProfileNormalHour`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProfileNormalHour'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreProfileNormalHour:
      type: object
      properties:
        day_of_week:
          type: string
          enum:
            - MON
            - TUE
            - WED
            - THU
            - FRI
            - SAT
            - SUN
        available_from:
          type:
            - string
            - 'null'
        available_until:
          type:
            - string
            - 'null'
      required:
        - day_of_week
      title: StoreProfileNormalHour
    ProfileNormalHour:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        day_of_week:
          type: string
        available_from:
          type:
            - string
            - 'null'
        available_until:
          type:
            - string
            - 'null'
        is_closed:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - day_of_week
        - available_from
        - available_until
        - is_closed
        - created_at
        - updated_at
      title: ProfileNormalHour
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````